Bug 133500 - wireless device configuration does not allow changes to channel or transmit rate
wireless device configuration does not allow changes to channel or transmit rate
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2004-09-24 10:21 EDT by Jason 'vanRijn' Kasper
Modified: 2008-05-06 20:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:00:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason 'vanRijn' Kasper 2004-09-24 10:21:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914
Firefox/0.10

Description of problem:
I have a Symbol LA4111 Spectrum24 Wireless LAN PC Card and am using
WEP with it.  For me to get this to work, I have to be able to change
the channel to 6 and the transmit rate to auto.  By default, the
wireless device configuration GUI has channel 1 and transmit rate of
11Mbps, and these are not changeable through the GUI.  To get my card
to associate and dhcp, I have to manually change
/etc/sysconfig/network-scripts/ifcfg-eth1 and change channel to 6 and
transmit rate to auto.  Once I do this, the card works wonderfully.

Can you please enable these changes to be made from the GUI?  If you
did, I believe that no CLI would be needed to get this wireless card
(are other cards having the same problem too?) to work with fedora.

thanks!!!

Version-Release number of selected component (if applicable):
system-config-network-1.3.20-1

How reproducible:
Always

Steps to Reproduce:
1. launch the network configurator
2. either edit an existing wireless device or create a new one
3. try to change channel or transmit rate
4. these GUI elements are disabled and the user cannot change the
values needing to be changed

Actual Results:  wireless card is unable to associate to an AP that
does not operate on the same channel as the default, disabled one
(channel 1).

Expected Results:  user should be able to change these 2 form
elements, enabling him/her to specify what transmit rate and channel
the card should operate at.

Additional info:
Comment 1 Harald Hoyer 2004-09-24 10:28:33 EDT
If you change the "Mode" to "Auto" or "Ad-Hoc", you can specify the
channel and the transmit rate... Why do you need to set this in
"Managed" mode?????
Comment 2 Jason 'vanRijn' Kasper 2004-09-24 14:01:12 EDT
well, I'll be darned.  lol.  I must have wasted a good day at least
trying to work around this.  Had I only known that using "Auto"
instead of "Managed" would let me do this... it would have saved me
lots of time.  =:/

This is from the iwconfig man page:

       mode   Set the operating mode of the device, which depends on
the  net-
              work  topology. The mode can be Ad-Hoc (network composed
of only
              one cell and without Access Point), Managed (node
connects to  a
              network  composed  of  many Access Points, with
roaming), Master
              (the node is the synchronisation master or  acts  as  an
 Access
              Point),  Repeater (the node forwards packets between
other wire-
              less  nodes),  Secondary  (the  node  acts  as  a 
backup   mas-
              ter/repeater),  Monitor  (the node acts as a passive
monitor and
              only receives packets) or Auto.
              Example :
                   iwconfig eth0 mode Managed
                   iwconfig eth0 mode Ad-Hoc


The topology that I'm in best fits the description of "Managed",
namely "node connects to  a network  composed  of  many Access Points,
with roaming".  This is why I chose "Managed", and in fact, have used
Managed for quite a while with success in debian before I started
using fedora, when I iwconfig'd my card manually.

Is there a reason that transmit rate and channel should not be changed
when a card is in a managed topology?  The user should still be
allowed to change these things, shouldn't he?
Comment 3 Jason 'vanRijn' Kasper 2004-11-03 08:12:36 EST
this is still a problem, and now is causing a problem with NetworkManager, I believe, since 
NetworkManager only works for me if mode is set to Managed, which as noted above, isn't 
configurable for me via the GUI.  Is this being looked at anymore?
Comment 4 Harald Hoyer 2004-11-03 09:36:19 EST
In managed mode, the card itsself searches for the ESSID on every
channel, so I thought this is not necessary..
Comment 5 Jason 'vanRijn' Kasper 2004-11-03 11:48:39 EST
Well, according to the iwconfig man page I quoted above, it sounds like a the very least, it 
would be the correct thing to do, I thought.  And, I can say with certainty that unless I'm able 
to configure the channel and rate via the GUI config tool, my wireless card does not work.

Thanks Harald!!
Comment 6 Matthew Miller 2006-07-10 16:43:36 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Bug Zapper 2008-04-03 11:39:58 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Bug Zapper 2008-05-06 20:00:50 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.